MCUX CLNS MCUX Crypto Library Normal Secure |

Data Fields
mcuxClCss_CipherOption_t Union Reference
mcuxClCss » mcuxClCss_Cipher » mcuxClCss_Cipher_Types

Command option bit field for mcuxClCss_Cipher_Async. More...

`#include <mcuxClCss_Cipher.h>`

## Data Fields
struct {
uint32_t value
| Accesses the bit field as a full word. More...
} | word
| Access mcuxClCss_CipherOption_t word-wise. More...
struct {
uint32_t __pad0__:1
| RFU. More...
uint32_t dcrpt:1
| Define operation mode. More...
uint32_t cphmde:2
| Define cipher mode. More...
uint32_t cphsoe:1
| Define whether the CSSv2 internal cipher state should be extracted to external memory or kept internally. More...
uint32_t cphsie:1
| Define whether an external provided cipher state should be imported from external memory. More...
uint32_t __pad1__:7
| RFU. More...
uint32_t extkey:1
| Define whether an external key from memory or CSSv2 internal key should be used. More...
uint32_t __pad2__:18
| RFU. More...
} | bits
| Access mcuxClCss_CipherOption_t bit-wise. More...

## Detailed Description

Command option bit field for mcuxClCss_Cipher_Async.

Bit field to configure mcuxClCss_Cipher_Async. See MCUXCLCSS_CIPHER_ for possible options.

Examples
  cipher_aes128_cbc_encrypt.c, and cipher_aes128_ecb_encrypt.c.

## Field Documentation

## ◆ value

uint32_t mcuxClCss_CipherOption_t::value

Accesses the bit field as a full word.

## ◆ word

struct { ... } mcuxClCss_CipherOption_t::word

Access mcuxClCss_CipherOption_t word-wise.

## ◆ __pad0__

uint32_t mcuxClCss_CipherOption_t::__pad0__

RFU.

## ◆ dcrpt

uint32_t mcuxClCss_CipherOption_t::dcrpt

Define operation mode.

Examples
  cipher_aes128_cbc_encrypt.c, and cipher_aes128_ecb_encrypt.c.

## ◆ cphmde

uint32_t mcuxClCss_CipherOption_t::cphmde

Define cipher mode.

Examples
  cipher_aes128_cbc_encrypt.c, and cipher_aes128_ecb_encrypt.c.

## ◆ cphsoe

uint32_t mcuxClCss_CipherOption_t::cphsoe

Define whether the CSSv2 internal cipher state should be extracted to external memory or kept internally.

## ◆ cphsie

uint32_t mcuxClCss_CipherOption_t::cphsie

Define whether an external provided cipher state should be imported from external memory.

## ◆ __pad1__

uint32_t mcuxClCss_CipherOption_t::__pad1__

RFU.

## ◆ extkey

uint32_t mcuxClCss_CipherOption_t::extkey

Define whether an external key from memory or CSSv2 internal key should be used.

Examples
  cipher_aes128_cbc_encrypt.c, and cipher_aes128_ecb_encrypt.c.

## ◆ __pad2__

uint32_t mcuxClCss_CipherOption_t::__pad2__

RFU.

## ◆ bits

struct { ... } mcuxClCss_CipherOption_t::bits

Access mcuxClCss_CipherOption_t bit-wise.

Examples
  cipher_aes128_cbc_encrypt.c, and cipher_aes128_ecb_encrypt.c.